Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517229 - [RFE] Snap 6.3.0 25 virt-who interval schedule shouldn't affect Global config file while creating individual hypervisor config
Summary: [RFE] Snap 6.3.0 25 virt-who interval schedule shouldn't affect Global config...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Virt-who Configure Plugin
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Eko
satellite-doc-list
URL:
Whiteboard:
Depends On: 1517741
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 11:08 UTC by Harshad More
Modified: 2019-03-20 03:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Interval helper text, after modifying the text. (deleted)
2017-11-29 02:48 UTC, Nagoor Shaik
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21775 None None None 2017-11-27 11:04:29 UTC

Description Harshad More 2017-11-24 11:08:30 UTC
Description of problem:

While creating new config file Infrastructure --> Virt-who Configurations --> Create Config there is option "Interval" to mention under Schedule 

Each time you create a new config file and if changed this Interval option then it changes the virt-who_interval in /etc/sysconfig file.

Eg. created first esx config file and set Interval = 2 hours.
Then created second rhevm config file and set Interval = 1 hour

Running  # hammer virt-who-config deploy --id 2 on satellite server will overide /etc/sysconfig/virt-who file and set virt-who interval as 3600 which was earlier 7200.
-----------------------

So here should be a naming change for Schedule as "Global schedule" file or something more meaningful and a message should be displayed in information box as it will affect your global settings and this is not the local setting for that config file.

Version-Release number of selected component (if applicable):

satellite 6.3.0 25.0
virt-who-0.19-6.el7_4.noarch
foreman-1.15.6.9-1.el7sat.noarch

Comment 1 Marek Hulan 2017-11-27 11:03:38 UTC
This is known behavior caused by the virt-who limitation. Virt-who does not support custom interval per hyprevisor. There's no way we can configure virt-who this way to my knowledge.

Users are recommended to use 2 hours as a default value. Ideally this should be documented (mind to open a doc-bug?) I opened a BZ 1517741 for virt-who itself, until that's resolved we can't do much more.

Comment 2 Marek Hulan 2017-11-27 11:04:27 UTC
Created redmine issue http://projects.theforeman.org/issues/21775 from this bug

Comment 4 Nagoor Shaik 2017-11-29 02:47:54 UTC
Hi Marek,

Until we have support for configuration based "Interval" implemented in core virt-who. Can we have a Helper text for Interval to say this "Interval value specified here is a global parameter, which will affect all virt-who configurations".

Attaching a screenshot, after fixing the helper text.

Comment 5 Nagoor Shaik 2017-11-29 02:48:43 UTC
Created attachment 1360127 [details]
Interval helper text, after modifying the text.

Comment 6 Marek Hulan 2017-11-29 07:02:58 UTC
absolutely, since you seem to have the patch ready, would you mind sending a PR to https://github.com/theforeman/foreman_virt_who_configure/pulls ? If not, I can create it myself, but I'll need to find someone for review or wait until Tomas is back from long PTO.

I'd just rephrase this a bit to e.g. "Different interval can't be set per hypervisor, therefore it will affect all other deployed configurations on the host on which this configuration will be deployed." A "global parameter" is already a term for something else in Sat 6, also it only affects configurations on the shared host.

It might be worth of also creating documentation bug so it's covered.

Comment 7 Marek Hulan 2017-11-29 09:00:39 UTC
we've agreed I'll send the patch, so cancelling the needinfo

it's now available in upstream for testing, see the linked redmine issue for more details

Comment 8 Harshad More 2017-12-08 06:29:11 UTC
(In reply to Marek Hulan from comment #1)
> This is known behavior caused by the virt-who limitation. Virt-who does not
> support custom interval per hyprevisor. There's no way we can configure
> virt-who this way to my knowledge.
> 
> Users are recommended to use 2 hours as a default value. Ideally this should
> be documented (mind to open a doc-bug?) I opened a BZ 1517741 for virt-who
> itself, until that's resolved we can't do much more.

-------------------

Document Bug raised
https://bugzilla.redhat.com/show_bug.cgi?id=1523484


Note You need to log in before you can comment on or make changes to this bug.